Đến nội dung


Hình ảnh
- - - - -

Nhờ diễn đàn sửa lisp ghi khoảng cách, cao độ trên cắt ngang


  • Please log in to reply
40 replies to this topic

#21 ceddtu

ceddtu

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 07 November 2010 - 12:46 PM

Hề hề hề,
Bạn ceddtu ơi,
Cái ni mình đã nói là sửa trộm bác ThaiStreet rồi mừ.
Mình thấy bạn nói rằng cái bác Thái sửa đã chạy ngon rồi nên mình bắt chước bác ấy, chỉ sửa có mỗi việc là dùng hàm strcat để thêm chữ OFF: vào đầu cái text kết quả thôi mà chứ có sửa gì trong lisp đâu mà nó lại chạy sai nhỉ???
Hơn nữa cái chỗ khúc mắc như bạn nói lại là do việc chọn điểm phía chèn. Vậy bạn thử check lại, dùng cái mình chưa sửa chạy thử coi có bị lỗi như vầy không. Nếu cũng bị thì là có lỗi chi đó mà mình không biết. Cần phải kiểm lại mới được. Do lisp này bác Thaistreet viết nên mình cũng chưa dò hết từ đầu chí cuối mà chỉ mới đọc lướt qua để hiểu và bổ sung cái bạn cần mà thôi. Hề hề hề,
Giá bác Thaistreet không bận thì sẽ nhanh hơn. Bạn chịu khó chờ chút nghen.

PS: Bạn đã copy cái "bản vẽ này" của bác Thaistreet vào thư mục D:\Lisp CAD chưa và lưu ý cái ngoặc (Chú ý là không sử dụng bản vẽ BV1 của bạn nữa nhé. vì các block hơi xấu khi canh lề text, đông thời bản vẽ đó có mấy block không sử dụng nhưng mình không có cách gì purge nó đi được nên lisp load rất chậm)

cám ơn bạn phamthanhbinh nhưng bạn có thể kiểm tra thử đc ko, vì khi mình dùng lisp "tnx" thì đc nhưng khi dùng líp "tn" thì lại ko dc, mình ko rành về auto lisp nên gặp khá nhiều khó khăn, mong bạn xem giúp mình (vì khối luong nhiều mà dùng lisp tnx mất nhiều thao tác hơn nên mình chỉ muốn dùng lisp "tn" thôi
  • 0
Đời vắng mẹ hiền không phụ nữ.
Anh hùng thi sĩ hỏi còn đâu !

#22 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 November 2010 - 05:44 PM

cám ơn bạn phamthanhbinh nhưng bạn có thể kiểm tra thử đc ko, vì khi mình dùng lisp "tnx" thì đc nhưng khi dùng líp "tn" thì lại ko dc, mình ko rành về auto lisp nên gặp khá nhiều khó khăn, mong bạn xem giúp mình (vì khối luong nhiều mà dùng lisp tnx mất nhiều thao tác hơn nên mình chỉ muốn dùng lisp "tn" thôi

Chào bạn ceddtu,
Mình đã xem khá kỹ hai lisp tn và tnx của bác Thaistreet, song vẫn chưa phát hiện được sự không tương thích nào cả. Hai lisp này chỉ khác nhau phần bổ sung để thêm tỷ lệ tx và ty, còn cấu trúc và các lệnh là hoan toàn giống nhau. Vậy nên chưa rõ lỗi là do cái gì bạn ạ. Có nhẽ đành phải chờ bác Thaistreet ra tay vậy.
  • 2
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#23 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 08 November 2010 - 08:43 AM

Em cảm ơn anh Bình đã giúp em sửa hộ ceddtu nha :)
@ceddtu: Đây là lisp đầu tay của mình, (nói đúng hơn là mình sửa từ 1 lisp của người khác) học hành bài bản, không sách vở, học từ ngọn xuống gốc nên cái lisp này nỏ rác lắm, mỗi lần thấy nó là mình lại ngại sửa. hề hề, thế nên bạn tự nghiên cứu nó để tự sửa cho đúng ý bạn đi nhé.
Topic này mình post lại 1 cái lisp tương tự nhưng không cần phải dùng thêm block ngoài nữa. bạn có thể tham khảo thêm
  • 2

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#24 ceddtu

ceddtu

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 08 November 2010 - 06:32 PM

Em cảm ơn anh Bình đã giúp em sửa hộ ceddtu nha :)
@ceddtu: Đây là lisp đầu tay của mình, (nói đúng hơn là mình sửa từ 1 lisp của người khác) học hành bài bản, không sách vở, học từ ngọn xuống gốc nên cái lisp này nỏ rác lắm, mỗi lần thấy nó là mình lại ngại sửa. hề hề, thế nên bạn tự nghiên cứu nó để tự sửa cho đúng ý bạn đi nhé.
Topic này mình post lại 1 cái lisp tương tự nhưng không cần phải dùng thêm block ngoài nữa. bạn có thể tham khảo thêm

hjhj thanks bác nhiều lắm, mình vẫn dùng cái líp của bác hôm bữa h để làm việc mà, ko sao hết, nếu là líp đầu tay của bạn thì xuất sắc quá còn gj, chúc bạn thành công
  • 0
Đời vắng mẹ hiền không phụ nữ.
Anh hùng thi sĩ hỏi còn đâu !

#25 manhgioi2001

manhgioi2001

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 December 2010 - 06:38 AM

Em cảm ơn anh Bình đã giúp em sửa hộ ceddtu nha :undecided:
@ceddtu: Đây là lisp đầu tay của mình, (nói đúng hơn là mình sửa từ 1 lisp của người khác) học hành bài bản, không sách vở, học từ ngọn xuống gốc nên cái lisp này nỏ rác lắm, mỗi lần thấy nó là mình lại ngại sửa. hề hề, thế nên bạn tự nghiên cứu nó để tự sửa cho đúng ý bạn đi nhé.
Topic này mình post lại 1 cái lisp tương tự nhưng không cần phải dùng thêm block ngoài nữa. bạn có thể tham khảo thêm


Chào bác 'Thaistreetz' và toàn thể ae diễn đàn. Em thấy lisp của bác rất hay và có tính ứng dụng rất lớn cho dân cầu đường, không biết bác và ae trong diễn đàn có kiến thức về autolisp có thể đầu tư thêm thời gian để phát triển nó thêm 1 chút được hok? cụ thể là nó sẽ điền giá trị cao độ và khoảng cách lẻ vào vị trí mà ta thiết lập (Bảng TN chẳng hạn: cao độ vào hàng cao độ, k/c lẻ vào hàng k/c lẻ). Ngoài ra có thể tự động kẻ đường dóng từ vị trí đó đến bảng TN. Nếu được như vậy thì tuyệt vời quá, hi.
  • 0

#26 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 27 December 2010 - 08:10 AM

Chào bác 'Thaistreetz' và toàn thể ae diễn đàn. Em thấy lisp của bác rất hay và có tính ứng dụng rất lớn cho dân cầu đường, không biết bác và ae trong diễn đàn có kiến thức về autolisp có thể đầu tư thêm thời gian để phát triển nó thêm 1 chút được hok? cụ thể là nó sẽ điền giá trị cao độ và khoảng cách lẻ vào vị trí mà ta thiết lập (Bảng TN chẳng hạn: cao độ vào hàng cao độ, k/c lẻ vào hàng k/c lẻ). Ngoài ra có thể tự động kẻ đường dóng từ vị trí đó đến bảng TN. Nếu được như vậy thì tuyệt vời quá, hi.

Đứng từ góc độ là người đọc bản vẽ. bạn thấy điều bạn nói ở trên có cần thiết hay không khi mà các thông tin về cao độ và khoảng cách đã được cung cấp đủ trong block cao cao độ? hay nó chỉ làm rối bản vẽ thêm?
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#27 winter712

winter712

    biết vẽ polygon

  • Validating
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 11 December 2013 - 10:38 AM

bác Thaistretz ơi cái linhk " bản vẽ này" của bác hỏng rồi, bác up lại đi cho em xin với, dow đc lip về mà ko dùng đc


  • 0
[size=3][/size]Có ai đó nói rằng tôi đang lạc bước. Nhưng họ ko biết rằng tôi đã có 1 ước mơ…!
VIT NGOC

#28 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 11 December 2013 - 10:43 AM

bác Thaistretz ơi cái linhk " bản vẽ này" của bác hỏng rồi, bác up lại đi cho em xin với, dow đc lip về mà ko dùng đc

Bạn cần gì bạn cứ up bản vẽ của bạn lên rồi mọi người mọi người giúp

Mình có 1 lisp đánh cao độ hoàn công trên file nova

chỉ 1 lệnh là đánh được cao độ toàn bộ trắc ngang


  • 0

#29 huyhoa255

huyhoa255

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 February 2014 - 08:57 AM

Bác Thaistreetz up lại cái link bản vẽ này giúp mình với. Cám ơn bác nhiều.


  • 0

#30 trinhtuankx

trinhtuankx

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 April 2014 - 03:49 PM

Đây là lisp mình đã rút gọn lại. đồng thời sửa thêm một số chi tiết về nhập số liệu và chế độ bắt điểm để thuận tiện hơn khi sử dụng. Lisp cũng đã tự động load các block cần thiết. bạn chỉ cần copy bản vẽ này vào thư mục D:\Lisp CAD là OK.
(Chú ý là không sử dụng bản vẽ BV1 của bạn nữa nhé. vì các block hơi xấu khi canh lề text, đông thời bản vẽ đó có mấy block không sử dụng nhưng mình không có cách gì purge nó đi được nên lisp load rất chậm)

(defun DXF (code elist)
  (cdr (assoc code elist))
)

(defun c:tn (); / DZ pt y ptside ang OT sc1 scale)
  (vl-load-com)
  (setvar "cmdecho" 0)

(if (not scale) (setq scale 1))
(setq sc1 (getreal (strcat "\n Cao text <"(rtos scale 2 0)">:")))
(if sc1 (setq scale sc1))
(SETQ OSLAST (getvar "OSMODE"))
(setq DZ (getvar "DIMZIN"))
(setvar "DIMZIN" 0)
(setq OT (getvar "ORTHOMODE"))
(setvar "ORTHOMODE" 0)
(command "osmode" 99)
(setq pt0 (osnap (getpoint "Diem tim TN tu nhien <end of> : ") "end")) (print)
(setq x0 (car pt0) y0 (cadr pt0))
(setq ed (entget (car (entsel "\nChon cao do tim: "))))
(setq H0 (read (DXF 1 ed)))	
(command "osmode" 15359) 
(setq pt (getpoint "\nDiem chen: "))

(While (/= pt nil)
(Progn
(setq ptside (getpoint "\nPhia chen:" pt)
ang (angle pt ptside))
(setq y (- (cadr pt) y0 (- H0)))
(setq x (- (car pt) x0))
		 
(cond ((> x 0) (setq x (strcat "" (rtos x 2 2))))
		 ((< x 0) (setq x (rtos (abs x) 2 2)))
		 ((= x 0) (setq x "0.00"))		 )
(cond ((> y 0) (setq y (strcat "+" (rtos y 2 2))))
		 ((< y 0) (setq y (rtos y 2 2)))
		 ((= y 0) (setq y "%%p0.00")))
;(setq x (ustr 0 "Khoang cach: " x T))
;(setq y (ustr 0 "Cao do: " y T))

(if (not (tblsearch "block" "LCD1"))
(progn (command "insert" "D:\\Lisp CAD\\BVTN.dwg" "" "" "" "")
(command "erase" (entlast) "")))

( if (AND (>= ang 0) (< ang 1.5708)) (command "INSERT" "LCD1" pt scale scale "0" x y))
( if (AND (>= ang 1.5708) (< ang 3.1416)) (command "INSERT" "LCD2" pt scale scale "0" y x))
( if (AND (>= ang 3.1416) (< ang 4.7124)) (command "INSERT" "LCD3" pt scale scale "0" x y))
( if (AND (>= ang 4.7124) (< ang 6.2832)) (command "INSERT" "LCD4" pt scale scale "0" y x))

(setq pt (getpoint "\nDiem chen: "))
);pro
);while 
(setvar "OSMODE" OSLAST)
(setvar "DIMZIN" DZ)
(setvar "ORTHOMODE" OT))
;---------------------------------------------------------------------------

Link tải bản vẽ bị hư rồi bác ạ. Bác gửi lại cho em xin với đc ko ạ? Thanks bác nhiều nhiều!


  • 0

#31 ngocdao tran

ngocdao tran

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 28 December 2015 - 11:05 AM

bác Thaistretz ơi cái link " bản vẽ này" của bác không down được, bác up lại đi cho em xin với, dow đc lisp về mà ko dùng đc. 

mail: ngocdaogtsk52@gmail.com .


  • 0

#32 thai11000

thai11000

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 03 January 2016 - 08:01 PM

Em cũng là dân giao thông. Thấy cái này của bác hay quá mà em load về dùng không được.

Emlàm theo thao tác lệnh nhưng đến khi pick điểm chèn thì hỏi phía chèn. E thử pick về cả 2 phía đều báo invaid.

Em không hiểu sai ở đâu. Nhưng theo em nghĩ thì mình không cần chọn phía chèn vì vị trí mình chèn đã là bên trái hai bên phải tim rồi.

Chỉ cần điền cao độ và dim từ điểm chèn tới tim là được rồi ạ. Mong các bác giải thích và chỉnh sửa để em làm được. Cảm ơn và chúc mừng năm mới!


  • 0

#33 Đinh Cường

Đinh Cường

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 04 January 2016 - 10:55 AM

Đây là lisp mình đã rút gọn lại. đồng thời sửa thêm một số chi tiết về nhập số liệu và chế độ bắt điểm để thuận tiện hơn khi sử dụng. Lisp cũng đã tự động load các block cần thiết. bạn chỉ cần copy bản vẽ này vào thư mục D:\Lisp CAD là OK.
(Chú ý là không sử dụng bản vẽ BV1 của bạn nữa nhé. vì các block hơi xấu khi canh lề text, đông thời bản vẽ đó có mấy block không sử dụng nhưng mình không có cách gì purge nó đi được nên lisp load rất chậm)

(defun DXF (code elist)
  (cdr (assoc code elist))
)

(defun c:tn (); / DZ pt y ptside ang OT sc1 scale)
  (vl-load-com)
  (setvar "cmdecho" 0)

(if (not scale) (setq scale 1))
(setq sc1 (getreal (strcat "\n Cao text <"(rtos scale 2 0)">:")))
(if sc1 (setq scale sc1))
(SETQ OSLAST (getvar "OSMODE"))
(setq DZ (getvar "DIMZIN"))
(setvar "DIMZIN" 0)
(setq OT (getvar "ORTHOMODE"))
(setvar "ORTHOMODE" 0)
(command "osmode" 99)
(setq pt0 (osnap (getpoint "Diem tim TN tu nhien <end of> : ") "end")) (print)
(setq x0 (car pt0) y0 (cadr pt0))
(setq ed (entget (car (entsel "\nChon cao do tim: "))))
(setq H0 (read (DXF 1 ed)))	
(command "osmode" 15359) 
(setq pt (getpoint "\nDiem chen: "))

(While (/= pt nil)
(Progn
(setq ptside (getpoint "\nPhia chen:" pt)
ang (angle pt ptside))
(setq y (- (cadr pt) y0 (- H0)))
(setq x (- (car pt) x0))
		 
(cond ((> x 0) (setq x (strcat "" (rtos x 2 2))))
		 ((< x 0) (setq x (rtos (abs x) 2 2)))
		 ((= x 0) (setq x "0.00"))		 )
(cond ((> y 0) (setq y (strcat "+" (rtos y 2 2))))
		 ((< y 0) (setq y (rtos y 2 2)))
		 ((= y 0) (setq y "%%p0.00")))
;(setq x (ustr 0 "Khoang cach: " x T))
;(setq y (ustr 0 "Cao do: " y T))

(if (not (tblsearch "block" "LCD1"))
(progn (command "insert" "D:\\Lisp CAD\\BVTN.dwg" "" "" "" "")
(command "erase" (entlast) "")))

( if (AND (>= ang 0) (< ang 1.5708)) (command "INSERT" "LCD1" pt scale scale "0" x y))
( if (AND (>= ang 1.5708) (< ang 3.1416)) (command "INSERT" "LCD2" pt scale scale "0" y x))
( if (AND (>= ang 3.1416) (< ang 4.7124)) (command "INSERT" "LCD3" pt scale scale "0" x y))
( if (AND (>= ang 4.7124) (< ang 6.2832)) (command "INSERT" "LCD4" pt scale scale "0" y x))

(setq pt (getpoint "\nDiem chen: "))
);pro
);while 
(setvar "OSMODE" OSLAST)
(setvar "DIMZIN" DZ)
(setvar "ORTHOMODE" OT))
;---------------------------------------------------------------------------

Không down được file cad bác ạ


  • 0

#34 Đinh Cường

Đinh Cường

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 05 January 2016 - 04:10 PM

 

Đây là lisp mình đã rút gọn lại. đồng thời sửa thêm một số chi tiết về nhập số liệu và chế độ bắt điểm để thuận tiện hơn khi sử dụng. Lisp cũng đã tự động load các block cần thiết. bạn chỉ cần copy bản vẽ này vào thư mục D:\Lisp CAD là OK.
(Chú ý là không sử dụng bản vẽ BV1 của bạn nữa nhé. vì các block hơi xấu khi canh lề text, đông thời bản vẽ đó có mấy block không sử dụng nhưng mình không có cách gì purge nó đi được nên lisp load rất chậm)

(defun DXF (code elist)
  (cdr (assoc code elist))
)

(defun c:tn (); / DZ pt y ptside ang OT sc1 scale)
  (vl-load-com)
  (setvar "cmdecho" 0)

(if (not scale) (setq scale 1))
(setq sc1 (getreal (strcat "\n Cao text <"(rtos scale 2 0)">:")))
(if sc1 (setq scale sc1))
(SETQ OSLAST (getvar "OSMODE"))
(setq DZ (getvar "DIMZIN"))
(setvar "DIMZIN" 0)
(setq OT (getvar "ORTHOMODE"))
(setvar "ORTHOMODE" 0)
(command "osmode" 99)
(setq pt0 (osnap (getpoint "Diem tim TN tu nhien <end of> : ") "end")) (print)
(setq x0 (car pt0) y0 (cadr pt0))
(setq ed (entget (car (entsel "\nChon cao do tim: "))))
(setq H0 (read (DXF 1 ed)))	
(command "osmode" 15359) 
(setq pt (getpoint "\nDiem chen: "))

(While (/= pt nil)
(Progn
(setq ptside (getpoint "\nPhia chen:" pt)
ang (angle pt ptside))
(setq y (- (cadr pt) y0 (- H0)))
(setq x (- (car pt) x0))
		 
(cond ((> x 0) (setq x (strcat "" (rtos x 2 2))))
		 ((< x 0) (setq x (rtos (abs x) 2 2)))
		 ((= x 0) (setq x "0.00"))		 )
(cond ((> y 0) (setq y (strcat "+" (rtos y 2 2))))
		 ((< y 0) (setq y (rtos y 2 2)))
		 ((= y 0) (setq y "%%p0.00")))
;(setq x (ustr 0 "Khoang cach: " x T))
;(setq y (ustr 0 "Cao do: " y T))

(if (not (tblsearch "block" "LCD1"))
(progn (command "insert" "D:\\Lisp CAD\\BVTN.dwg" "" "" "" "")
(command "erase" (entlast) "")))

( if (AND (>= ang 0) (< ang 1.5708)) (command "INSERT" "LCD1" pt scale scale "0" x y))
( if (AND (>= ang 1.5708) (< ang 3.1416)) (command "INSERT" "LCD2" pt scale scale "0" y x))
( if (AND (>= ang 3.1416) (< ang 4.7124)) (command "INSERT" "LCD3" pt scale scale "0" x y))
( if (AND (>= ang 4.7124) (< ang 6.2832)) (command "INSERT" "LCD4" pt scale scale "0" y x))

(setq pt (getpoint "\nDiem chen: "))
);pro
);while 
(setvar "OSMODE" OSLAST)
(setvar "DIMZIN" DZ)
(setvar "ORTHOMODE" OT))
;---------------------------------------------------------------------------

Không down được file cad bác ạ

 

bác nào đã down được file block thì up lại được không ?


  • 0

#35 Superlong

Superlong

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 10 March 2016 - 03:28 PM

 CÓ CÁCH NÀO SỬA LIPS NÀY ĐỂ KO CẦN COPY BLOCK VÀO KHÔNG VÍ DỤ KẾT QUẢ XUẤT RA CHỈ CẦN CHỌN ĐIỂM CHÈN TEXt -> kết quả có dạng  " cao độ ; k/c tới tim " vậy thì lips này sẽ linh động hơn nhìu  mặc dù ko dc đẹp là mấy so vs thể hiện = block


  • 0

#36 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 11 March 2016 - 07:36 AM

 CÓ CÁCH NÀO SỬA LIPS NÀY ĐỂ KO CẦN COPY BLOCK VÀO KHÔNG VÍ DỤ KẾT QUẢ XUẤT RA CHỈ CẦN CHỌN ĐIỂM CHÈN TEXt -> kết quả có dạng  " cao độ ; k/c tới tim " vậy thì lips này sẽ linh động hơn nhìu  mặc dù ko dc đẹp là mấy so vs thể hiện = block

Cái này cũng có chỉ cần tính toán lại các điểm đặt nhưng hơi vất vã do nó còn phụ thuộc vào chiều cao chữ với lại khi muốn xóa 1 cao độ nào đó phải chọn nhiều đối tượng để xóa----> làm block nó tiện hơn.


  • 0

#37 Superlong

Superlong

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 12 March 2016 - 06:31 PM

vì mình định sau khi đo xong khoảng cách tới tim và cao độ xog sẽ xuất các text đó + với text lý trình RA excel theo thứ tự từng mặt cắt nửa nên muốn nhờ các bạn chuyển cái block đó về dạng text : " cao độ ; k/c toi tim " thôi 


  • 0

#38 huunhantvxdts

huunhantvxdts

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 366 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 13 March 2016 - 10:11 AM

vì mình định sau khi đo xong khoảng cách tới tim và cao độ xog sẽ xuất các text đó + với text lý trình RA excel theo thứ tự từng mặt cắt nửa nên muốn nhờ các bạn chuyển cái block đó về dạng text : " cao độ ; k/c toi tim " thôi 

Chắc bạn làm phân lớp đất đắp????

có cái này bạn tham khảo xem thế nào??

http://www.cadviet.c...-dong-moi-viet/


  • 1

#39 Superlong

Superlong

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 13 March 2016 - 12:51 PM

Chắc bạn làm phân lớp đất đắp????

có cái này bạn tham khảo xem thế nào??

http://www.cadviet.c...-dong-moi-viet/

 tks bạn hihi đúng cái mình cần


  • 0

#40 DRACULA115

DRACULA115

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 April 2016 - 08:10 PM

mình mới tập làm nên nhiều cái chưa rõ nhờ bạnThaistreetz 

 giúp mình với mình ko có bản vẽ để copy vào ổ D nhờ bạn gửi vào gmail trungdra115@gmail.com giúp mình với 

thank bạn nhiều mình tải lisp về mà vẫn chưa sử dụng đc. mong bạn giúp đỡ


  • 0